Subject: Re: bug#31908: Save file locks in centralized location

From: Robert Pluim <[email-masked]>
Date: Thu, 21 Jun 2018 10:34:50 +0200

Radon Rosborough <[email-masked]> writes:

>> If users had their own custom location for locks, surely the locking
>> would cease to have any significant purpose [...] The utility would
>> be reduced to preventing you from simultaneously using multiple
>> separate emacs instances to edit/write a given file.
>
> I run a single-user system; preventing concurrent edits is the only
> purpose of the locking mechanism for me. This feature would hardly
> remove "any significant purpose" from it.

If implemented, this feature would almost certainly be off by default,
so no existing users would end up being surprised.

Robert